@if not "%1" == ""  goto START
@ECHO    /****************************************************************/
@ECHO    /**                     F 9 0 L I N K                          **/
@ECHO    /**                                                            **/
@ECHO    /** F90LINK links Fortran 90 programs with DISLIN.             **/
@ECHO    /**                                                            **/
@ECHO    /** Command:  F90LINK  [option] [-r8]   main                   **/
@ECHO    /**                                                            **/
@ECHO    /** option    is an optional qualifier that may have one of    **/
@ECHO    /**           the following values:                            **/
@ECHO    /**      -c   to compile programs before linking               **/
@ECHO    /**      -r   to run programs after linking                    **/
@ECHO    /**      -a   to compile, link and run programs.               **/
@ECHO    /**                                                            **/
@ECHO    /** -r8       is an optional parameter for using the double    **/
@ECHO    /**           precision library of DISLIN.                     **/
@ECHO    /**                                                            **/
@ECHO    /** main      is the name of the main program.                 **/
@ECHO    /**                                                            **/
@ECHO    /** Example:  F90LINK  -a   TEST                               **/
@ECHO    /** Version:  Salford FTN90                                    **/
@ECHO    /****************************************************************/
@goto EXIT
:START
@set _dislin=%DISLIN%
@if "%DISLIN%" == "" set _dislin=c:\dislin
@set _opt1=%1
@if %1 ==  -c	shift
@if %1 ==  -a	shift
@if %1 ==  -r	shift
@set _opt2=%1
@if %1 ==  -r8	shift
@rem
@if %_opt1% ==  -c    goto COMP
@if %_opt1% ==  -a    goto COMP
@goto  LINK
:COMP
@set _inc=%_dislin%
@if %_opt2% == -r8 set _inc=%_dislin%\real64
ftn90 /silent  /MOD_PATH %_inc% %1.f90
@set _inc=
@if errorlevel 1 goto ENDE
:LINK
@set _lib=diss32.lib
@if %_opt2% == -r8      set _lib=diss32_d.lib
slink %1.obj %2 %3 %4 %5 %6 %_dislin%\%_lib% 
@set _lib=
@if %_opt1% ==  -a  goto RUN
@if %_opt1% ==  -r  goto RUN
@goto ENDE
:RUN
@if errorlevel 1 goto ENDE
%1
:ENDE
@set _dislin=
@set _opt1=
@set _opt2=
:EXIT
